Skip to main content
POST
/
edges
Create an edge
curl --request POST \
  --url https://api.example.com/edges \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "source_id": "<string>",
  "target_id": "<string>",
  "edge_type": "<string>",
  "properties": {}
}
'
{
  "edge": {
    "id": "<string>",
    "source_id": "<string>",
    "target_id": "<string>",
    "edge_type": "<string>",
    "properties": {},
    "created_at": "<string>",
    "updated_at": "<string>",
    "tenant_id": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.myme.so/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Pass an API key (marfa_k1_...) or OAuth access token (marfa_at_...)

Body

application/json
source_id
string
required
target_id
string
required
edge_type
string
required
properties
object

Response

Edge created

edge
object
required